#ifndef INC_PARTICLECLASS_H
#define INC_PARTICLECLASS_H

#include <SDL/SDL.h>

class Particle
{
	private:		
        double x, y, hspeed, vspeed, direction;
        bool destroyed;	
        unsigned char health, size, color_r, color_g, color_b;        
	public:
		Particle();
        void create( int _x, int _y, unsigned char r, unsigned char g, unsigned char b, int );
		void show();
		void move();
        bool get_destroyed();
        void destroy();
};

#endif /* INC_PARTICLECLASS_H */
